﻿
$ErrorActionPreference = 'Stop';
$url32 = 'http://dl.delivery.mp.microsoft.com/filestreamingservice/files/c3e53f15-c7ff-46fa-8393-a605e49831aa/MicrosoftEdgeEnterpriseX86.msi'
$url64 = 'http://dl.delivery.mp.microsoft.com/filestreamingservice/files/5a5e1cec-28a4-41d7-ba54-e279b9e483f7/MicrosoftEdgeEnterpriseX64.msi'

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  fileType       = 'MSI'
  url            = $url32
  url64bit       = $url64

  softwareName   = 'Microsoft Edge'

  checksum32     = 'F66680D72BE25373E869D7D6415030C3E295029633030D467AB7C46AAF418409'
  checksumType   = 'sha256'
  checksum64     = '67915E029FF91D85B815B7D4AA04A1C009579609207228FFB453441BEF74B01D'
  checksumType64 = 'sha256'

  silentArgs     = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
